Subject: [os2genau_digest] No. 1312
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 22 Jun 2006 00:01:07 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 21 June 2006
 Number  1312
**************************************************

Subjects for today
 
1   unicode ? : Voytek Eymont" <voytek at sbt dot net dot au>
2  Re:  unicode ? : Voytek Eymont" <voytek at sbt dot net dot au>
3  Re:  unicode ? : Peter Moylan <peter at ozebelg dot org>
4  Re:  unicode ? : Voytek Eymont" <voytek at sbt dot net dot au>
5  Re:  unicode ? : Paul Smedley" <paul at smedley.info>
6  Re:  unicode ? : Voytek Eymont" <voytek at sbt dot net dot au>
7  Re:  unicode ? : Bruce Rossi <data2doc at westnet dot com dot au>
8  Re:  unicode ? : Voytek Eymont" <voytek at sbt dot net dot au>
9   Printer installation : Leigh Bunting <vh_gdn at internode.on dot net>

**= Email   1 ==========================**

Date:  Wed, 21 Jun 2006 00:19:21 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:   unicode ?

what can I use to convert ISO Latin2 8859-2 to Unicode ?
can TextConverter do it ?

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Wed, 21 Jun 2006 00:44:09 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  unicode ?

<quote who="Voytek Eymont">
>

> what can I use to convert ISO Latin2 8859-2 to Unicode ? can TextConverter
> do it ?

actually, UTF8 i need

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Wed, 21 Jun 2006 09:55:49 +1000
From:  Peter Moylan <peter at ozebelg dot org>
Subject:  Re:  unicode ?

Voytek Eymont wrote:
> <quote who="Voytek Eymont">
> 
>> what can I use to convert ISO Latin2 8859-2 to Unicode ? can
>> TextConverter do it ?
> 
> actually, UTF8 i need

The last time I checked, TextConverter could not handle UTF8. However, I
see that I have a rather ancient version, so maybe you'll get lucky with
the newest version.

-- 
Peter Moylan                          peter at ozebelg dot org
                                       peter.moylan at optusnet dot com dot au
                                       http://www.pmoylan dot org
Please note the changed e-mail and web addresses.  The domain
eepjm.newcastle.edu.au no longer exists, and I can no longer
reliably receive mail at my newcastle.edu.au addresses.
The optusnet address still has about 2 months of life left.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 21 Jun 2006 10:01:51 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  unicode ?

<quote who="Peter Moylan">
> Voytek Eymont wrote:

>>> what can I use to convert ISO Latin2 8859-2 to Unicode ? can
>>> TextConverter do it ?

>> actually, UTF8 i need
>
> The last time I checked, TextConverter could not handle UTF8. However, I
> see that I have a rather ancient version, so maybe you'll get lucky with
> the newest version.

thanks, Peter

it seems the ancient version is also the latest version, as far as I can
see...

I managed to convert with iconv on Linux, anyhow

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   5 ==========================**

Date:  Wed, 21 Jun 2006 09:54:08 +0930
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  unicode ?

Hi guys,

On 21/6/2006, "Voytek Eymont" <voytek at sbt dot net dot au> wrote:

>
><quote who="Peter Moylan">
>> Voytek Eymont wrote:
>
>>>> what can I use to convert ISO Latin2 8859-2 to Unicode ? can
>>>> TextConverter do it ?
>
>>> actually, UTF8 i need
>>
>> The last time I checked, TextConverter could not handle UTF8. However, I
>> see that I have a rather ancient version, so maybe you'll get lucky with
>> the newest version.
>
>thanks, Peter
>
>it seems the ancient version is also the latest version, as far as I can
>see...
>
>I managed to convert with iconv on Linux, anyhow

It's probably possible to port this to os/2 - anyone have a link to the
linux source?

Cheers,

Paul.
----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Wed, 21 Jun 2006 10:49:23 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  unicode ?

<quote who="Paul Smedley">

>> I managed to convert with iconv on Linux, anyhow
>>
>
> It's probably possible to port this to os/2 - anyone have a link to the
> linux source?

does this help to find source ?
-------------------------------------------------------------------
ICONV(1)                                                 ICONV(1)
NAME
       iconv - Convert encoding of given files from one encoding
       to another
SYNOPSIS
       iconv -f encoding -t encoding inputfile
DESCRIPTION
       The iconv program converts the encoding of characters in
       inputfile from one coded character set to another. The
       result is written to standard output unless otherwise
       specified by the --output option.
       --from-code, -f encoding
       Convert characters from encoding
       --to-code, -t encoding
       Convert characters to encoding
       Convert characters to encoding
       --list
       List known coded character sets
       --output, -o file
       Specify output file (instead of stdin)
       --verbose
       Print progress information.
AUTHOR
       iconv is written by Ulrich Drepper as part of the GNU C
       Library.

       This man page is written by Joel Klecker
       <espy at debian dot org>, for the Debian GNU/Linux system.

Red Hat Linux               March 2001                   ICONV(1)
(END)

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   7 ==========================**

Date:  Wed, 21 Jun 2006 13:43:55 +1000
From:  Bruce Rossi <data2doc at westnet dot com dot au>
Subject:  Re:  unicode ?

Hi All,

iconv.dll is at Hobbes in the package:
<http://hobbes.nmsu.edu/pub/os2/util/iconv0.2.1.zip>
Ported by Ilya Zakharevich

Voytek Eymont wrote:
> <quote who="Paul Smedley">
> 
> 
>>>I managed to convert with iconv on Linux, anyhow
>>>
>>
>>It's probably possible to port this to os/2 - anyone have a link to the
>>linux source?
> 
> 
> 
> does this help to find source ?
> -------------------------------------------------------------------
> ICONV(1)                                                 ICONV(1)
> NAME
>        iconv - Convert encoding of given files from one encoding
>        to another
> SYNOPSIS
>        iconv -f encoding -t encoding inputfile
> DESCRIPTION
>        The iconv program converts the encoding of characters in
>        inputfile from one coded character set to another. The
>        result is written to standard output unless otherwise
>        specified by the --output option.
>        --from-code, -f encoding
>        Convert characters from encoding
>        --to-code, -t encoding
>        Convert characters to encoding
>        Convert characters to encoding
>        --list
>        List known coded character sets
>        --output, -o file
>        Specify output file (instead of stdin)
>        --verbose
>        Print progress information.
> AUTHOR
>        iconv is written by Ulrich Drepper as part of the GNU C
>        Library.
> 
>        This man page is written by Joel Klecker
>        <espy at debian dot org>, for the Debian GNU/Linux system.
> 
> Red Hat Linux               March 2001                   ICONV(1)
> (END)
> 
> 
-- 
Cheers,
Bruce Rossi
Data To Documents
data2docSAFE at URLfastmail dot com dot au (Please modify to reply)
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Wed, 21 Jun 2006 16:03:57 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  unicode ?

<quote who="Bruce Rossi">

> iconv.dll is at Hobbes in the package:
> <http://hobbes.nmsu.edu/pub/os2/util/iconv0.2.1.zip>
> Ported by Ilya Zakharevich

thanks

dumb question... what do I execute ?

-----------------------------------------------------------
This is a minor derivation of iconv2.  The only advantage of this package
is that programs linked against the provided libraries do not require that
the
version of OS/2 is new enough to support UCONV.DLL.  All they require is
that iconv.dll with 3 export points iconv() iconv_close() iconv_open().
While the supplied DLL works on Warp 3 after fp32, and Warp 4 after fp4, one
can easily compile such a DLL (from POSIX sources) which would work on
any version of OS/2 - if a need arises.

The disadvantage of this package is that it is specific to EMX -Zmtd
executables (but it comes with manpages too! ;-).

===========  HOWTO INSTALL

Copy ./include/* to a directory on your C_INCLUDE_PATH environment variable,
../lib/* to LIBRARY_PATH, ./man/* to MANPATH; put ./dll/* to LIBPATH.

To get information in HTML, google for "iconv.3".  E.g.,
  http://inferno.slug dot org/man-pages-1.53/man3/iconv.html

Enjoy, Ilya Zakharevich

===========  HOWTO BUILD

gcc -O -s -Zdll -Zcrtdll -Zomf -o iconv.dll -liconv2 iconv.def
lxlite *.dll
emximp -o iconv.lib iconv.def
emximp -o iconv.a   iconv.def

This assumes that the library iconv2.lib is in a directory on your
LIBRARY_PATH environment variable.

===========  iconv.def
LIBRARY         iconv	INITINSTANCE
DATA MULTIPLE NONSHARED

DESCRIPTION     ' at #ilyaz dot org/:# at Code sets conversion DLL; frontend to
builtin UCONV DLL of OS/2. Build for EMX -Zmtd'

EXPORTS
	iconv
	iconv_close
	iconv_open
-------------------------------------------------------

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   9 ==========================**

Date:  Wed, 21 Jun 2006 21:58:12 +0930
From:  Leigh Bunting <vh_gdn at internode.on dot net>
Subject:   Printer installation

Hi All,

I want to install another printer using the omni driver but upon 
clicking on the install button after going through the 'Create a 
Printer' wizard, all I get is an error message box containing:

Message 0000 not found
Message 0001 not found.

Who said Winblows contained all the cryptic messages!

Any help appreciated.

Cheers,

Leigh Bunting
Colonel Light Gardens
South Australia
<Open Windows and let the bugs in>

----------------------------------------------------------------------------------